//
//  GameOverLayer.m
//  CCBirdie
//
//  Created by Josh Smith on 8/12/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "GameOverLayer.h"


@implementation GameOverLayer

+(CCScene *) scene
{
	// 'scene' is an autorelease object.
	CCScene *scene = [CCScene node];
	
	// 'layer' is an autorelease object.
	GameOverLayer *layer = [GameOverLayer node];
	
	// add layer as a child to scene
	[scene addChild: layer];
	
	// return the scene
	return scene;
}

- (id) init {
    if ((self = [super init])) {
        CGSize size = [[CCDirector sharedDirector] winSize];
        CCLabelBMFont *gameOver = [CCLabelBMFont labelWithString:@"Game Over!" 
                                                         fntFile:@"RoughTypewriterMenu.fnt"];
        gameOver.position = ccp(size.width /2, size.height / 2);
        [self addChild:gameOver];
        AppDelegate *ap = [[UIApplication sharedApplication] delegate];
        CCMenu *backMenu = [MainMenuLayer backMenu];
        backMenu.position = [ap positionForKey:@"SettingsMenuBackButton"];
        [self addChild:backMenu];
    }
    return self;
}

@end
