//
//  AnimatedScene.m
//  yourFirstGame
//
//  Created by Josh Smith on 8/11/11.
//  Copyright 2011 Joshua Smith. All rights reserved.
//

#import "AnimatedScene.h"

@implementation AnimatedScene

+(CCScene *) scene
{
	// 'scene' is an autorelease object.
	CCScene *scene = [CCScene node];
	
	// 'layer' is an autorelease object.
    AnimatedScene *layer = [[self class] node];
	//layer.visible = NO;
	// add layer as a child to scene
	[scene addChild: layer];
	
	// return the scene
	return scene;
}

- (id) init {
    if( (self=[super init])) {
        CCLabelTTF *label = [CCLabelTTF labelWithString:@"Neat, eh?" fontName:@"Rough_Typewriter" fontSize:54];
        
		CGSize size = [[CCDirector sharedDirector] winSize];
        
		label.position =  ccp( size.width /2 , size.height/2 );
        [self addChild:label];
        [label runAction:[CCFadeIn actionWithDuration:4.0]];
        
        CCMenu *button = [CCMenu menuWithItems:[CCMenuItemFont itemFromString:@"Particles"
                                                                        block:^(id sender) {
                                                                                  [[CCDirector sharedDirector] replaceScene:[CCTransitionRotoZoom transitionWithDuration:3.0 scene:[CCParticles scene]]];
                                                                        }], nil];
        button.position = ccp(size.width / 4 * 3, size.height / 4);
        [self addChild:button];
    }
    return self;
}

@end
