//
//  CCParticles.m
//  yourFirstGame
//
//  Created by Josh Smith on 8/12/11.
//  Copyright 2011 Joshua Smith. All rights reserved.
//

#import "CCParticles.h"


@implementation CCParticles

@synthesize snow;
@synthesize bubbles;
@synthesize flare;

+(CCScene *) scene
{
	// 'scene' is an autorelease object.
	CCScene *scene = [CCScene node];
	
	// 'layer' is an autorelease object.
    CCParticles *layer = [[self class] node];
	//layer.visible = NO;
	// add layer as a child to scene
	[scene addChild: layer];
	
	// return the scene
	return scene;
}


- (id) init {
    
    self.flare = [CCParticleSystemQuad particleWithFile:@"fireball.plist"];
    CGSize size = [[CCDirector sharedDirector] winSize];
    if ((self = [super init])) {
        self.isTouchEnabled = YES;
        
        CCMenu *button = [CCMenu menuWithItems:[CCMenuItemFont itemFromString:@"Drum Machine"
                                                                        block:^(id sender) {
                                                                            [[CCDirector sharedDirector] replaceScene:[CCTransitionRotoZoom transitionWithDuration:3.0 scene:[DrumMachine scene]]];
                                                                        }], nil];
        button.position = ccp(size.width / 4 * 3, size.height / 4);
        [self addChild:button];
        [[CCEventDispatcher sharedDispatcher] addMouseDelegate:self priority:0];
    }
    return self;
}

- (BOOL)ccMouseDown:(NSEvent*)event {
    CCParticleSystemQuad *_fire = [CCParticleSystemQuad particleWithFile:@"fireball.plist"];
    [self addChild:_fire];
    NSLog(@"Touch");
    return YES;
}
@end
